#version 400 core
out vec4 FragColor;

in vec2 TexCoord;
uniform sampler2D texSampler;

void main() {
    // sample the texture
    vec4 texColor = texture(texSampler, TexCoord);

    if (texColor.a < 0.1) discard;

    //FragColor = vec4(0.6, 0.0, 1.0, 1.0);
    FragColor = texColor;
}